# ReaderWriterGIF.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <osgDB/Registry>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <gif_lib.h>`

Include dependency graph for ReaderWriterGIF.cpp:

## Defines

#define | ERR_NO_ERROR 0
#define | ERR_OPEN 1
#define | ERR_READ 2
#define | ERR_MEM 3
#define | MY_GIF_DEBUG 1

## Functions

int | simage_gif_error (char *buffer, int buflen)
int | simage_gif_identify (const char *, const unsigned char *header, int headerlen)
unsigned char * | simage_gif_load (const char *filename, int *width_ret, int *height_ret, int *numComponents_ret)

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterGIF > | g_readerWriter_GIF_Proxy

## Define Documentation

#define ERR_MEM 3

#define ERR_NO_ERROR 0

| GIF loader, using libungif Based, in part, on source code found in libungif, gif2rgb.c

#define ERR_OPEN 1

#define ERR_READ 2

#define MY_GIF_DEBUG 1

## Function Documentation

int simage_gif_error | ( | char * | buffer,
|  | int | buflen
| ) |

int simage_gif_identify | ( | const char * | ,
|  | const unsigned char * | header,
|  | int | headerlen
| ) |

unsigned char* simage_gif_load | ( | const char * | filename,
|  | int * | width_ret,
|  | int * | height_ret,
|  | int * | numComponents_ret
| ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterGIF> g_readerWriter_GIF_Proxy